Page MenuHomePhabricator

Alternative for Deprecated API: differential.getrevisioncomments
Closed, DuplicatePublic

Description

I saw differential.getrevisioncomments was deprecated. Is there an alternative for it?

Revisions and Commits

Event Timeline

donghang.guo assigned this task to epriestley.
donghang.guo raised the priority of this task from to Normal.
donghang.guo updated the task description. (Show Details)
donghang.guo changed the visibility from "Public (No Login Required)" to "All Users".
chad changed the visibility from "All Users" to "Public (No Login Required)".May 19 2014, 9:44 PM

If differential.getrevisioncomments has been deprecated... then shouldn't the arc inlines workflow be deprecated too?

joshuaspence edited this Maniphest Task.Jun 11 2014, 1:31 AM

one more vote. would be happy to help make it happen with a bit of guidance.

ctl added a subscriber: ctl.Jul 30 2014, 10:28 PM
epriestley closed this task as a duplicate.Aug 22 2014, 8:00 PM

✘ Merged into T5873.

As T5873 has been open for a year and a half, and isn't on the immediate roadmap, is there perhaps a way to update getrevisioncomments to expose some more info, so that bots etc can access it?
Would people be open to me making a diff to that end?

chad added a subscriber: chad.Apr 7 2016, 8:23 PM

You're welcome to make a diff and say, share it as a paste, but we're not in the habit of pulling in workarounds, and generally focus on the longterm solution. T5873 literally touches every application in Phabricator, it's more a container task than anything else. We've been rolling these updates out as we're working in adjacent areas.

We don't have a "Convert Differential to EditEngine" task anywhere, but maybe we should since someone may want to prioritize it or attempt to build it.